TypeOfSchedule (scheduler-portlet 2.1.0-SNAPSHOT API)
Date: 2014-05-05

org.gcube.datatransfer.portlets.user.shared.obj

## Class TypeOfSchedule

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.shared.obj.TypeOfSchedule

- All Implemented Interfaces:
    com.kfuntak.gwt.json.serialization.client.JsonSerializable

      public class TypeOfSchedule
      extends Object
      implements com.kfuntak.gwt.json.serialization.client.JsonSerializable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `directedScheduled`
    `protected ManuallyScheduled` | `manuallyScheduled`
    `protected PeriodicallyScheduled` | `periodicallyScheduled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeOfSchedule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getDirectedScheduled()`
    `ManuallyScheduled` | `getManuallyScheduled()`
    `PeriodicallyScheduled` | `getPeriodicallyScheduled()`
    `void` | `setDirectedScheduled(boolean directedScheduled)`
    `void` | `setManuallyScheduled(ManuallyScheduled manuallyScheduled)`
    `void` | `setPeriodicallyScheduled(PeriodicallyScheduled periodicallyScheduled)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### directedScheduled

          protected boolean directedScheduled

    - #### manuallyScheduled

          protected ManuallyScheduled manuallyScheduled

    - #### periodicallyScheduled

          protected PeriodicallyScheduled periodicallyScheduled

  - ### Constructor Detail

    - #### TypeOfSchedule

          public TypeOfSchedule()

  - ### Method Detail

    - #### getDirectedScheduled

          public boolean getDirectedScheduled()

    - #### setDirectedScheduled

          public void setDirectedScheduled(boolean directedScheduled)

    - #### getManuallyScheduled

          public ManuallyScheduled getManuallyScheduled()

    - #### setManuallyScheduled

          public void setManuallyScheduled(ManuallyScheduled manuallyScheduled)

    - #### getPeriodicallyScheduled

          public PeriodicallyScheduled getPeriodicallyScheduled()

    - #### setPeriodicallyScheduled

          public void setPeriodicallyScheduled(PeriodicallyScheduled periodicallyScheduled)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.